# Class: VolumeImageViewer

## viewer.VolumeImageViewer(options)

Interactive viewer for DICOM VL Whole Slide Microscopy Image instances with Image Type VOLUME.

## Constructor

#### new VolumeImageViewer(options)

Create a viewer instance for displaying VOLUME images.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`client` | Object |  |  | A DICOMwebClient instance for interacting with an origin server over HTTP
`metadata` | Array.<metadata.VLWholeSlideMicroscopyImage> |  |  | Metadata of DICOM VL Whole Slide Microscopy Image instances that should be diplayed.
`preload` | number | <optional> | 0 | Number of resolution levels that should be preloaded
`controls` | Array.<string> | <optional> | [] | Names of viewer control elements that should be included in the viewport
`debug` | boolean | <optional> | false | Whether debug features should be turned on (e.g., display of tile boundaries)
`tilesCacheSize` | number | <optional> | 1000 | Number of tiles that should be cached to avoid repeated retrieval for the DICOMweb server

Source:
  - viewer.js, line 707

### Members

#### areROIsVisible

Whether annotated regions of interest are currently visible.

Source:
  - viewer.js, line 2741

#### isDragPanInteractionActive :boolean

Whether drag pan interaction is active.

##### Type:

- boolean

Source:
  - viewer.js, line 2113

#### isDragZoomInteractionActive :boolean

Whether drag zoom interaction is active.

##### Type:

- boolean

Source:
  - viewer.js, line 2122

#### isDrawInteractionActive :boolean

Whether draw interaction is active

##### Type:

- boolean

Source:
  - viewer.js, line 2104

#### isModifyInteractionActive :boolean

Whether modify interaction is active.

##### Type:

- boolean

Source:
  - viewer.js, line 2445

#### isSelectInteractionActive :boolean

Whether select interaction is active.

##### Type:

- boolean

Source:
  - viewer.js, line 2383

#### isTranslateInteractionActive :boolean

Whether translate interaction is active.

##### Type:

- boolean

Source:
  - viewer.js, line 2131

#### numberOfROIs

Number of annotated regions of interest.

Source:
  - viewer.js, line 2480

#### size

Get the size of the viewport.

Source:
  - viewer.js, line 1743

### Methods

#### activateDragPanInteraction(options)

Activate drag pan interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options.

Source:
  - viewer.js, line 2317

#### activateDragZoomInteraction(options)

Activate drag zoom interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options.

Source:
  - viewer.js, line 2231

#### activateDrawInteraction(options)

Activate the draw interaction for graphic annotation of regions of interest.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`options` | Object |  | Drawing options ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`geometryType` | string |  | Name of the geometry type (point, circle, box, polygon, freehandpolygon, line, freehandline)
`maxPoints` | number | <optional> | Maximum number of points for "line" geometry
`minPoints` | number | <optional> | Mininum number of points for "line" geometry
`styleOptions` | Object | <optional> | Style options
`styleOptions.stroke` | Object | <optional> | Style options for the contour of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the contour
`width` | number | Width of the contour
`styleOptions.fill` | Object | <optional> | Style options for the body of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the body

Source:
  - viewer.js, line 1971

#### activateModifyInteraction(options)

Activate modify interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Modification options.

Source:
  - viewer.js, line 2392

#### activateOpticalPath(opticalPathIdentifier)

Activate an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1577

#### activateSelectInteraction(options)

Activate select interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | selection options.

Source:
  - viewer.js, line 2269

#### activateSnapInteraction(options)

Activate snap interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Snap options.

Source:
  - viewer.js, line 2357

#### activateTranslateInteraction(options)

Activate translate interaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Translation options.

Source:
  - viewer.js, line 2140

#### addAnnotationGroups(metadata)

Add annotation groups.

##### Parameters:

Name | Type | Description
--- | --- | ---
`metadata` | metadata.MicroscopyBulkSimpleAnnotations | Metadata of a DICOM Microscopy Simple Bulk Annotations instance

Source:
  - viewer.js, line 2751

#### addParameterMappings(metadata)

Add parameter mappings.

##### Parameters:

Name | Type | Description
--- | --- | ---
`metadata` | Array.<metadata.ParametricMap> | Metadata of one or more DICOM Parametric Map instances

Source:
  - viewer.js, line 3627

#### addROI(roi, styleOptionsopt)

Add a regions of interest.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`roi` | roi.ROI |  | Regions of interest
`styleOptions` | Object | <optional> | Style options ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`stroke` | Object | <optional> | Style options for the contour of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the contour
`width` | number | Width of the contour
`fill` | Object | <optional> | Style options for the body of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the body

Source:
  - viewer.js, line 2566

#### addROIEvaluation(uid, item)

Add a qualitative evaluation to a region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the region of interest
`item` | Object | CODE content item representing a qualitative evaluation

Source:
  - viewer.js, line 2525

#### addROIMeasurement(uid, item)

Add a measurement to a region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the region of interest
`item` | Object | NUM content item representing a measurement

Source:
  - viewer.js, line 2502

#### addSegments(metadata)

Add segments.

##### Parameters:

Name | Type | Description
--- | --- | ---
`metadata` | Array.<metadata.Segmentation> | Metadata of one or more DICOM Segmentation instances

Source:
  - viewer.js, line 3207

#### addViewportOverlay(options)

Add a new viewport overlay.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Overlay options ###### Properties
Name | Type | Description
--- | --- | ---
`element` | Object | The custom overlay HTML element
`className` | string | Class to style the overlay container
`offset` | Array.<number> | Horizontal and vertical offset of the overlay container in pixels

Source:
  - viewer.js, line 2679

#### cleanup()

Clean up. Release allocated memory and clear the viewport.

Source:
  - viewer.js, line 1752

#### deactivateDragPanInteraction()

Deactivate drag pan interaction.

Source:
  - viewer.js, line 2344

#### deactivateDragZoomInteraction()

Deactivate drag zoom interaction.

Source:
  - viewer.js, line 2256

#### deactivateDrawInteraction()

Deactivate draw interaction.

Source:
  - viewer.js, line 2091

#### deactivateModifyInteraction()

Deactivate modify interaction.

Source:
  - viewer.js, line 2432

#### deactivateOpticalPath(opticalPathIdentifier)

Deactivate an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1608

#### deactivateSelectInteraction()

Deactivate select interaction.

Source:
  - viewer.js, line 2304

#### deactivateSnapInteraction()

Deactivate snap interaction.

Source:
  - viewer.js, line 2370

#### deactivateTranslateInteraction() → {void}

Deactivate translate interaction.

Source:
  - viewer.js, line 2218

##### Returns:

Type
  void

#### getAllAnnotationGroups() → {Array.<annotation.AnnotationGroup>}

Get all annotation groups.

Source:
  - viewer.js, line 3175

##### Returns:

Type
  Array.<annotation.AnnotationGroup>

#### getAllOpticalPaths() → {Array.<opticalPath.OpticalPath>}

Get all optical paths.

Source:
  - viewer.js, line 1564

##### Returns:

Type
  Array.<opticalPath.OpticalPath>

#### getAllParameterMappings() → {Array.<mapping.ParameterMapping>}

Get all parameter mappings.

Source:
  - viewer.js, line 4117

##### Returns:

Type
  Array.<mapping.ParameterMapping>

#### getAllROIs() → {Array.<roi.ROI>}

Get all annotated regions of interest.

Source:
  - viewer.js, line 2454

##### Returns:

Array of regions of interest.

Type
  Array.<roi.ROI>

#### getAllSegments() → {Array.<segment.Segment>}

Get all segments.

Source:
  - viewer.js, line 3614

##### Returns:

Type
  Array.<segment.Segment>

#### getAnnotationGroupDefaultStyle(annotationGroupUID) → {Object}

Get default style of an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 3135

##### Returns:

- Default style settings

Type
  Object

#### getAnnotationGroupMetadata(annotationGroupUID) → {metadata.MicroscopyBulkSimpleAnnotations}

Get annotation group metadata.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 3191

##### Returns:

- Metadata of DICOM Microscopy Bulk Simple Annotations instance

Type
  metadata.MicroscopyBulkSimpleAnnotations

#### getAnnotationGroupStyle(annotationGroupUID) → {Object}

Get style of an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 3156

##### Returns:

- Style settings

Type
  Object

#### getOpticalPathDefaultStyle(opticalPathIdentifier) → {Object}

Get the default style of an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1485

##### Returns:

Default style of optical path

Type
  Object

#### getOpticalPathMetadata(opticalPathIdentifier) → {Array.<metadata.VLWholeSlideMicroscopyImage>}

Get image metadata for an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1548

##### Returns:

Slide microscopy image metadata

Type
  Array.<metadata.VLWholeSlideMicroscopyImage>

#### getOpticalPathStyle(opticalPathIdentifier) → {Object}

Get the style of an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1516

##### Returns:

Style of optical path

Type
  Object

#### getParameterMappingDefaultStyle(mappingUID) → {Object}

Get the default style of a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of mapping

Source:
  - viewer.js, line 4057

##### Returns:

Default style Options

Type
  Object

#### getParameterMappingMetadata(mappingUID) → {Array.<metadata.ParametricMap>}

Get image metadata for a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of mapping

Source:
  - viewer.js, line 4101

##### Returns:

Metadata of DICOM Parametric Map instances

Type
  Array.<metadata.ParametricMap>

#### getParameterMappingStyle(mappingUID) → {Object}

Get the style of a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of mapping

Source:
  - viewer.js, line 4078

##### Returns:

Style Options

Type
  Object

#### getROI(uid) → {roi.ROI}

Get an individual annotated region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the region of interest

Source:
  - viewer.js, line 2490

##### Returns:

Region of interest.

Type
  roi.ROI

#### getROIStyle(uid) → {Object}

Get the style of a region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the regions of interest

Source:
  - viewer.js, line 2626

##### Returns:

- Style settings

Type
  Object

#### getSegmentDefaultStyle(segmentUID) → {Object}

Get the default style of a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of segment

Source:
  - viewer.js, line 3556

##### Returns:

Default style settings

Type
  Object

#### getSegmentMetadata(segmentUID) → {Array.<metadata.Segmentation>}

Get image metadata for a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of segment

Source:
  - viewer.js, line 3598

##### Returns:

Metadata of DICOM Segmentation instances

Type
  Array.<metadata.Segmentation>

#### getSegmentStyle(segmentUID) → {Object}

Get the style of a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of segment

Source:
  - viewer.js, line 3577

##### Returns:

Style settings

Type
  Object

#### hideAnnotationGroup(annotationGroupUID)

Hide an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 3006

#### hideOpticalPath(opticalPathIdentifier)

Hide an optical path.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1698

#### hideParameterMapping(mappingUID)

Hide a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of a mapping

Source:
  - viewer.js, line 3942

#### hideROIs()

Hide annotated regions of interest.

Source:
  - viewer.js, line 2721

#### hideSegment(segmentUID)

Hide a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of a segment

Source:
  - viewer.js, line 3456

#### isAnnotationGroupVisible(annotationGroupUID)

Is annotation group visible.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 3023

#### isOpticalPathActive(opticalPathIdentifier) → {boolean}

Determine whether an optical path is active.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1631

##### Returns:

active

Type
  boolean

#### isOpticalPathColorable(opticalPathIdentifier) → {boolean}

Determine whether an optical path is colorable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1457

##### Returns:

yes/no answer

Type
  boolean

#### isOpticalPathMonochromatic(opticalPathIdentifier) → {boolean}

Determine whether an optical path is monochromatic.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1471

##### Returns:

yes/no answer

Type
  boolean

#### isOpticalPathVisible(opticalPathIdentifier) → {boolean}

Determine if an optical path is visible.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier

Source:
  - viewer.js, line 1717

##### Returns:

Type
  boolean

#### isParameterMappingVisible(mappingUID) → {boolean}

Determine if parameter mapping is visible.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of a mapping

Source:
  - viewer.js, line 3960

##### Returns:

Type
  boolean

#### isSegmentVisible(segmentUID) → {boolean}

Determine if segment is visible.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of a segment

Source:
  - viewer.js, line 3474

##### Returns:

Type
  boolean

#### navigate(options, level)

Navigate the view to a spatial position or resolution level.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options.
`level` | number | Zoom level.

Source:
  - viewer.js, line 1940

#### popROI() → {roi.ROI}

Pop the most recently annotated regions of interest.

Source:
  - viewer.js, line 2547

##### Returns:

Regions of interest.

Type
  roi.ROI

#### removeAllAnnotationGroups()

Remove all annotation groups.

Source:
  - viewer.js, line 2975

#### removeAllParameterMappings()

Remove all parameter mappings.

Source:
  - viewer.js, line 3890

#### removeAllROIs()

Remove all annotated regions of interest.

Source:
  - viewer.js, line 2713

#### removeAllSegments()

Remove all segments.

Source:
  - viewer.js, line 3405

#### removeAnnotationGroup(annotationGroupUID)

Remove an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group

Source:
  - viewer.js, line 2958

#### removeParameterMapping(mappingUID)

Remove a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of a mapping

Source:
  - viewer.js, line 3874

#### removeROI(uid)

Remove an individual regions of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the region of interest

Source:
  - viewer.js, line 2694

#### removeSegment(segmentUID)

Remove a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of a segment

Source:
  - viewer.js, line 3389

#### render(options)

Render the images in the specified viewport container.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Rendering options. ###### Properties
Name | Type | Description
--- | --- | ---
`container` | string | HTMLElement | HTML Element in which the viewer should be injected.

Source:
  - viewer.js, line 1779

#### resize() → {void}

Resize the viewer to fit the viewport.

Source:
  - viewer.js, line 1733

##### Returns:

Type
  void

#### setAnnotationGroupStyle(annotationGroupUID, styleOptions)

Set style of an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group
`styleOptions` | Object | Style options ###### Properties
Name | Type | Description
--- | --- | ---
`opacity` | number | Opacity
`measurement` | number | Selected measurement for colorizing annotations

Source:
  - viewer.js, line 3042

#### setOpticalPathStyle(opticalPathIdentifier, styleOptions)

Set the style of an optical path. The style determine how grayscale stored values of a MONOCHROME2 image will be transformed into pseudo-color display values. Grayscale stored values are first transformed into normalized grayscale display values, which are subsequently transformed into pseudo-color values in RGB color space. The input to the first transformation are grayscale stored values in the range defined by parameter "limitValues", which specify a window for optimizing display value intensity and contrast. The resulting normalized grayscale display values are then used as input to the second transformation, which maps them to pseudo-color values ranging from black color (R=0, G=0, B=0) to the color defined by parameter "color" using linear interpolation. Alternatively, a palette color lookup table can be provided to perform more sophisticated pseudo-coloring.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opticalPathIdentifier` | string | Optical Path Identifier
`styleOptions` | Object | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`color` | Array.<number> | <optional> | RGB color triplet
`paletteColorLookupTable` | Array.<number> | <optional> | palette color lookup table
`opacity` | number | <optional> | Opacity
`limitValues` | Array.<number> | <optional> | Upper and lower windowing limits

Source:
  - viewer.js, line 1374

#### setParameterMappingStyle(mappingUID, styleOptions)

Set the style of a parameter mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mappingUID` | string | Unique tracking identifier of mapping
`styleOptions` | Object | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`opacity` | number | <optional> | Opacity
`limitValues` | Array.<number> | <optional> | Upper and lower windowing

Source:
  - viewer.js, line 3979

#### setROIStyle(uid, styleOptions)

Set the style of a region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the regions of interest
`styleOptions` | Object | Style options ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`stroke` | Object | <optional> | Style options for the contour of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the contour
`width` | number | Width of the contour
`fill` | Object | <optional> | Style options for the body of the geometry ###### Properties
Name | Type | Description
--- | --- | ---
`color` | Array.<number> | RGBA color of the body

Source:
  - viewer.js, line 2660

#### setSegmentStyle(segmentUID, styleOptions)

Set the style of a segment.

##### Parameters:

Name | Type | Description
--- | --- | ---
`segmentUID` | string | Unique tracking identifier of segment
`styleOptions` | Object | Style options ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`opacity` | number | <optional> | Opacity

Source:
  - viewer.js, line 3492

#### showAnnotationGroup(annotationGroupUID, styleOptions)

Show an annotation group.

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotationGroupUID` | string | Unique identifier of an annotation group
`styleOptions` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`measurement` | number | Selected measurement for colorizing annotations

Source:
  - viewer.js, line 2988

#### showOpticalPath(opticalPathIdentifier, styleOptionsopt)

Show an optical path.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`opticalPathIdentifier` | string |  | Optical Path Identifier
`styleOptions` | Object | <optional> | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`color` | Array.<number> | <optional> | RGB color triplet
`paletteColorLookupTable` | Array.<number> | <optional> | palette color lookup table
`opacity` | number | <optional> | Opacity
`limitValues` | Array.<number> | <optional> | Upper and lower windowing limits

Source:
  - viewer.js, line 1663

#### showParameterMapping(mappingUID, styleOptionsopt)

Show a parameter mapping.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`mappingUID` | string |  | Unique tracking identifier of a mapping
`styleOptions` | Object | <optional> | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`opacity` | number | <optional> | Opacity
`limitValues` | Array.<number> | <optional> | Upper and lower windowing

Source:
  - viewer.js, line 3904

#### showROIs()

Show annotated regions of interest.

Source:
  - viewer.js, line 2730

#### showSegment(segmentUID, styleOptionsopt)

Show a segment.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`segmentUID` | string |  | Unique tracking identifier of a segment
`styleOptions` | Object | <optional> | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`opacity` | number | <optional> | Opacity

Source:
  - viewer.js, line 3418

#### toggleOverviewMap() → {void}

Toggle overview map.

Source:
  - viewer.js, line 2195

##### Returns:

Type
  void

#### updateROI(roi)

Update properties of a region of interest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`roi` | Object | ROI to be updated ###### Properties
Name | Type | Description
--- | --- | ---
`uid` | string | Unique identifier of the region of interest
`properties` | Object | ROI properties ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`measurements` | Object | <optional> | ROI measurements
`evaluations` | Object | <optional> | ROI evaluations
`label` | Object | <optional> | ROI label
`marker` | Object | <optional> | ROI marker

Source:
  - viewer.js, line 2608